
<app-alerts></app-alerts>
<div *ngIf="responseReceived == false">
<h2>Loading...</h2>
</div>
<div *ngIf="responseReceived">
  <div *ngIf="dto['dataReceived'] == false">
    <p>
      <label>Data was not found on:</label>
    <br/>
      <label>{{dto['source']}}</label>
    </p>
  </div>
  <div *ngIf="dto['dataReceived']">
      <label>{{dto['source']}}</label>
    <table>
      <thead>
        <th>Property</th><th>Value</th>
      </thead>
      <tbody>
        <tr><td>Active:</td> <td>{{dto['active']}}</td></tr>
        <tr><td>Phone:</td> <td>{{dto['phone']}}</td></tr>
        <tr><td>XL Service:</td> <td>{{dto['xlService']}}</td></tr>
        <tr><td>Language:</td> <td>{{dto['language']}}</td></tr>
        <tr><td>XL Service language:</td> <td>{{dto['xlLanguage']}}</td></tr>
        <tr><td>Service end date:</td> <td>{{dto['end']}}</td></tr>
        <tr><td>XL activation time:</td> <td>{{dto['xlActivation']}}</td></tr>
        <tr><td>XL end time:</td> <td>{{dto['xlEnd']}}</td></tr>
        <tr><td>Override List?:</td> <td>{{dto['overrideList']}}</td></tr>
      </tbody>
    </table>
    <table>
      <thead>
        <th>Names</th><th>Phone Numbers</th>
      </thead>
      <tbody>
        <tr *ngFor="let name of dto['names']; let i = index">
          <td>{{name}}</td><td>{{dto.phoneNumbers[i]}}</td>
        </tr>
      </tbody>
    </table>
  </div>
</div>

<router-outlet></router-outlet>
